<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://java.sun.com/jsf/facelets">

<h:head>
    <title>Statec JSON Display - Project 4</title>
</h:head>
<h:body>
    <p:outputPanel>
        <h3>Statec JSON Data</h3>
        <!-- Message notification -->
        <p:growl id="growl" showDetail="true"/>

        <p:dialog modal="true" widgetVar="statusDialog" header="Status" draggable="false" closable="false"
                  resizable="false">
            <i class="pi pi-spinner pi-spin" style="font-size:3rem"/>
        </p:dialog>

        <!-- You need to wrap into form to display error messages -->
        <h:form id="inputForm">
            <!-- Input Text -->
            <span class="ui-float-label">
                        <p:inputText id="searchYearField" value="#{indexBean.inputTextForYear}">
                            <p:ajax event="input" update="panelButtons panelResult"
                                    listener="#{indexBean.onKeyInputEvent()}"/>
                        </p:inputText>
                        <p:outputLabel for="@previous" value="Type your search here"/>
                    </span>

            <!-- To display the validation error messages -->
            <p:message id="searchYearFieldMessage" for="searchYearField"/>
        </h:form>

    </p:outputPanel>

    <!-- Button -->
    <h:panelGroup id="panelButtons" style="white-space: nowrap">
        <!-- To display the validation error messages, declare inputForm in update -->
        <p:commandButton value="Search" icon="pi pi-search"
                         styleClass="ui-button-raised"
                         onclick="start()"
                         action="#{indexBean.getResult()}"
                         oncomplete="stop()"
                         disabled="#{empty indexBean.inputTextForYear}"
                         update="inputForm:searchYearFieldMessage btnDownload panelResult growl"/>

        &nbsp;&nbsp;&nbsp;

        <p:commandButton value="Download" id="btnDownload"
                         onclick="start()"
                         oncomplete="stop()"
                         icon="pi pi-arrow-down" styleClass="rounded-button ui-button-success"
                         update="inputForm btnDownload panelResult growl"
                         disabled="#{(empty indexBean.outputJson) or (indexBean.outputJson eq 'NO DATA FOUND')}">
            <p:fileDownload value="#{indexBean.downloadFile()}"/>
        </p:commandButton>
    </h:panelGroup>

    <p:panelGrid id="panelResult"
                 columns="1" layout="flex"
                 columnClasses="p-col-12 p-md-3 p-xl-2"
                 contentStyleClass="ui-fluid">

        <h:outputText id="taskResult" value="#{indexBean.listOfSelectedYears}"/>
        <p:inputTextarea widgetVar="outputAreaJson" id="resultTextArea" value="#{indexBean.outputJson}"
                         rows="30"
                         cols="90" autoResize="false" readonly="true"
                         rendered="#{not empty indexBean.outputJson}"/>
    </p:panelGrid>

</h:body>

<script src="resources/js/common.js"></script>

</html>